Skip to main content
GET
Retrieve a branch query

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

branch
string
required

Branch name from list_branches. Example: main.

id
string
required

The query ID

Response

Returns a specific branch query

id
string
required

The ID of the query

password
object
required

The database password used for the query

tags
object[]
required

Tags associated with the query

fingerprint
string
required

The query fingerprint

started_at
string | null
required

When the query started

statement_type
string
required

The type of SQL statement

keyspace
string
required

The keyspace the query ran against

tables
string[]
required

Tables accessed by the query

username
string
required

The username that executed the query

remote_address
string
required

The remote IP address of the client

shard_queries
integer
required

The number of shard queries executed

rows_read
integer
required

The number of rows read

rows_affected
integer
required

The number of rows affected

rows_returned
integer
required

The number of rows returned

total_duration_millis
integer
required

Total query duration in milliseconds

error_message
string
required

Error message if the query failed

normalized_sql
string
required

The normalized SQL statement

syntax_highlighted_sql
string
required

Syntax highlighted SQL statement

created_at
string
required

When the query record was created

updated_at
string
required

When the query record was last updated

explainable
boolean
required

Whether the query can be explained

truncated
boolean
required

Whether the query was truncated